> For the complete documentation index, see [llms.txt](https://docs.inrupt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inrupt.com/ess/2.4/services/service-wallet/login.md).

# Login Endpoint

{% hint style="success" %}
Added in version 2.3.
{% endhint %}

{% hint style="warning" %}
**Developer Preview**\
The ESS Wallet Service endpoints are available as part of a Developer Preview program to allow early access to these features. Please be aware that these APIs may change.
{% endhint %}

## User Session Properties

The ESS Wallet Service provides the following endpoint for retrieving properties about the user.

```none
https://datawallet.{ESS Domain}/login/userInfo
```

This endpoint can be used to determine if the user has already completed a signup flow to provision the Pod and establish the containers and access control required by the Wallet.

{% hint style="info" %}
**Note**\
To access the **`/login/userInfo`** endpoint, users must be authenticated. The endpoint supports the use of HTTP-only, secure session cookies.
{% endhint %}

<table data-header-hidden><thead><tr><th width="159.8046875"></th><th></th></tr></thead><tbody><tr><td>Method</td><td><strong><code>GET</code></strong></td></tr><tr><td>Content-Type</td><td><strong><code>application/json</code></strong></td></tr><tr><td>Endpoint</td><td><strong><code>https://datawallet.{ESS Domain}/login/userInfo</code></strong></td></tr><tr><td>Payload</td><td>none</td></tr></tbody></table>

### Output

Upon completion of the request user information is returned.

**Example response**

```json
{
  "webId": "https://id.example/alice",
  "name": "Alice User",
  "logo": "https://images.example/logo.png",
  "signupRequired": true
}
```

<table><thead><tr><th width="159.61328125">Field</th><th>Value</th></tr></thead><tbody><tr><td><strong><code>webId</code></strong></td><td>The WebID of the active user session.</td></tr><tr><td><strong><code>name</code></strong></td><td>The preferred name of the user, if available, for display in a user interface.</td></tr><tr><td><strong><code>logo</code></strong></td><td>A URL referencing a logo, if available, for display in a user interface.</td></tr><tr><td><strong><code>signupRequired</code></strong></td><td>Indicates whether the user needs to provision a Pod. <strong><code>true</code></strong> indicates that signup is required before a Pod can be provisioned. <strong><code>false</code></strong> indicates that the user already has a Pod.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inrupt.com/ess/2.4/services/service-wallet/login.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
